Package org.apache.maven.scm.provider.local.command.mkdir

## Class LocalMkdirCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.mkdir.AbstractMkdirCommand
    - - org.apache.maven.scm.provider.local.command.mkdir.LocalMkdirCommand

All Implemented Interfaces:
  `Command`

    public class LocalMkdirCommand
    extends AbstractMkdirCommand

Author:
  Maria Odea Ching

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`LocalMkdirCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected MkdirScmResult` `executeMkdirCommand​(ScmProviderRepository repository, ScmFileSet fileSet, java.lang.String message, boolean createInLocal)` Creates directories in the remote repository.

### Methods inherited from class org.apache.maven.scm.command.mkdir.AbstractMkdirCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocalMkdirCommand

    public LocalMkdirCommand()

### Method Detail

#### executeMkdirCommand

    protected MkdirScmResult executeMkdirCommand​(ScmProviderRepository repository,
                                                 ScmFileSet fileSet,
                                                 java.lang.String message,
                                                 boolean createInLocal)
                                          throws ScmException

Description copied from class: `AbstractMkdirCommand`
Creates directories in the remote repository.

Specified by:
  `executeMkdirCommand` in class `AbstractMkdirCommand`
  `createInLocal` - TODO
Returns:
Throws:
  `ScmException`